Subject: Re: [secdir] Assignments

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 2 May 2019 10:46:11 -0400

On Mon, Apr 29, 2019 at 7:13 AM Tero Kivinen <[email-masked]> wrote:

> Phillip Hallam-Baker writes:
> > Ooops. Just noticed that these have not been going into my action items
> folder
> > and I missed one. My filter must have been relying on a feature that
> changed.
>
> I switched to use emails sent from datatracker two and half years ago,
> i.e., end of 2016. Reply to, To and Subject should have been same.
>
> From address field did change from [email-masked] to [email-masked]
> in the beginning of March, because of some datatracker changes, so
> that is the one that most likely caused the issue. Anyways it is
> always better to use something else than From address for filtering as
> the secdir secretary might change :-)
>

Yes, that looks like what happened. My fault of course.

But what I always try to look for is what an event might tell us about the
functioning of the system as a whole. Fixing things for ourselves is useful
but the end goal is to improve the Internet for users as a whole.

I agree simply doing S/MIME might not be enough. We might well need to
engineer a new protocol for the purpose and deploy that in niche intranet
environments before attempting internet deployment.

For any work flow process to be useful, it would probably have to handle
50% of my tasks at the least. Which is obviously likely to be true of my
employer workflow system but not the IETF data tracker except for people
like me who have no employer right now.

> The reply-to address of [email-masked] should stay same.
>
> > Not really a tools team issue or critical. But it is a systemic
> > problem with using SMTP mail for workflow.
>
> You can always see your review requests also in the datatracker by
> going to the
>
> https://datatracker.ietf.org/accounts/review/
>
> page, and also the datatracker should send you automatic email when
> one is assigned to you in addition to my summary...
>
> One good thing about mail workflow is that I do get all the
> notifications in the same place, I hate the cases where I need to go
> and check through few dozen different web pages to see if there is
> anything new there for me to do...
>
> > We have traditionally considered the killer app for S/MIME to be
> > confidentiality. What if it was authentication and access control?
> Signing
> > meeting requests, calendar entries, task items allows people to add
> things to
> > my work queue.
>
> That would be nice, but the problem again is that you want to
> configure your systems to act on certain requests differently. Whether
> it is S/MIME authenticated does not really help there, you still do
> not want to accept random S/MIME authenticated request to add new
> entries to your calendar, so you are still left with whitelist of
> people who can add items to your calendar, and when things change then
> those will break...
>
> > Trying to retrofit might be a case of trying to balance too many
> > plates on the stack though.
>
> Adding generic code to the datatracker that signs emails with S/MIME,
> would actually be quite good enhancement, and I did make a new ticket
> #2716 about this...
> --
> [email-masked]
>